TDatabaseConfig._Fields (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Enum TDatabaseConfig._Fields

- java.lang.Object
- - java.lang.Enum<TDatabaseConfig._Fields>
  - - com.sleepycat.thrift.TDatabaseConfig._Fields

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TDatabaseConfig._Fields>, org.apache.thrift.TFieldIdEnum
  Enclosing class:
    TDatabaseConfig

      public static enum TDatabaseConfig._Fields
      extends java.lang.Enum<TDatabaseConfig._Fields>
      implements org.apache.thrift.TFieldIdEnum

  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLOW_CREATE`
    `BLOB_THRESHOLD`
    `BTREE_MIN_KEY`
    `BTREE_RECORD_NUMBERS`
    `CHECKSUM`
    `EXCLUSIVE_CREATE`
    `HASH_FILL_FACTOR`
    `HASH_NUM_ELEMENTS`
    `HEAP_REGION_SIZE`
    `HEAPSIZE`
    `MULTIVERSION`
    `NO_WAIT_DB_EXCLUSIVE_LOCK`
    `PAGE_SIZE`
    `PRIORITY`
    `QUEUE_EXTENT_SIZE`
    `QUEUE_IN_ORDER`
    `READ_ONLY`
    `READ_UNCOMMITTED`
    `RECORD_LENGTH`
    `RECORD_PAD`
    `RENUMBERING`
    `REVERSE_SPLIT_OFF`
    `SORTED_DUPLICATES`
    `TRANSACTION_NOT_DURABLE`
    `TYPE`
    `UNSORTED_DUPLICATES`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TDatabaseConfig._Fields` | `findByName(java.lang.String name)` Find the _Fields constant that matches name, or null if its not found.
    `static TDatabaseConfig._Fields` | `findByThriftId(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
    `static TDatabaseConfig._Fields` | `findByThriftIdOrThrow(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
    `java.lang.String` | `getFieldName()`
    `short` | `getThriftFieldId()`
    `static TDatabaseConfig._Fields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TDatabaseConfig._Fields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALLOW_CREATE

          public static final TDatabaseConfig._Fields ALLOW_CREATE

    - #### BLOB_THRESHOLD

          public static final TDatabaseConfig._Fields BLOB_THRESHOLD

    - #### BTREE_MIN_KEY

          public static final TDatabaseConfig._Fields BTREE_MIN_KEY

    - #### BTREE_RECORD_NUMBERS

          public static final TDatabaseConfig._Fields BTREE_RECORD_NUMBERS

    - #### CHECKSUM

          public static final TDatabaseConfig._Fields CHECKSUM

    - #### EXCLUSIVE_CREATE

          public static final TDatabaseConfig._Fields EXCLUSIVE_CREATE

    - #### HASH_FILL_FACTOR

          public static final TDatabaseConfig._Fields HASH_FILL_FACTOR

    - #### HASH_NUM_ELEMENTS

          public static final TDatabaseConfig._Fields HASH_NUM_ELEMENTS

    - #### HEAP_REGION_SIZE

          public static final TDatabaseConfig._Fields HEAP_REGION_SIZE

    - #### HEAPSIZE

          public static final TDatabaseConfig._Fields HEAPSIZE

    - #### MULTIVERSION

          public static final TDatabaseConfig._Fields MULTIVERSION

    - #### NO_WAIT_DB_EXCLUSIVE_LOCK

          public static final TDatabaseConfig._Fields NO_WAIT_DB_EXCLUSIVE_LOCK

    - #### PAGE_SIZE

          public static final TDatabaseConfig._Fields PAGE_SIZE

    - #### PRIORITY

          public static final TDatabaseConfig._Fields PRIORITY

      See Also:
        `TCachePriority`

    - #### QUEUE_EXTENT_SIZE

          public static final TDatabaseConfig._Fields QUEUE_EXTENT_SIZE

    - #### QUEUE_IN_ORDER

          public static final TDatabaseConfig._Fields QUEUE_IN_ORDER

    - #### READ_ONLY

          public static final TDatabaseConfig._Fields READ_ONLY

    - #### READ_UNCOMMITTED

          public static final TDatabaseConfig._Fields READ_UNCOMMITTED

    - #### RECORD_LENGTH

          public static final TDatabaseConfig._Fields RECORD_LENGTH

    - #### RECORD_PAD

          public static final TDatabaseConfig._Fields RECORD_PAD

    - #### RENUMBERING

          public static final TDatabaseConfig._Fields RENUMBERING

    - #### REVERSE_SPLIT_OFF

          public static final TDatabaseConfig._Fields REVERSE_SPLIT_OFF

    - #### SORTED_DUPLICATES

          public static final TDatabaseConfig._Fields SORTED_DUPLICATES

    - #### TRANSACTION_NOT_DURABLE

          public static final TDatabaseConfig._Fields TRANSACTION_NOT_DURABLE

    - #### TYPE

          public static final TDatabaseConfig._Fields TYPE

      See Also:
        `TDatabaseType`

    - #### UNSORTED_DUPLICATES

          public static final TDatabaseConfig._Fields UNSORTED_DUPLICATES

  - ### Method Detail

    - #### values

          public static TDatabaseConfig._Fields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TDatabaseConfig._Fields c : TDatabaseConfig._Fields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TDatabaseConfig._Fields valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### findByThriftId

          public static TDatabaseConfig._Fields findByThriftId(int fieldId)

      Find the _Fields constant that matches fieldId, or null if its not found.

    - #### findByThriftIdOrThrow

          public static TDatabaseConfig._Fields findByThriftIdOrThrow(int fieldId)

      Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

    - #### findByName

          public static TDatabaseConfig._Fields findByName(java.lang.String name)

      Find the _Fields constant that matches name, or null if its not found.

    - #### getThriftFieldId

          public short getThriftFieldId()

      Specified by:
        `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

    - #### getFieldName

          public java.lang.String getFieldName()

      Specified by:
        `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.